#include <reg51.h>
sbit pul=P1^0;	//位定义
void main( )
{
  TMOD=0x20;	   //设置定时器工作方式2
  TH1=0x38;		   //设置定时器T1定时初值
  TL1=0x38;
  EA=1;				 //开启中断允许总开关
  ET1=1;			 //开启定时器T1允许开关
  TR1=1;			  //启动定时T1
}
void inter_1(void) interrupt 3	//定时中断子程序
{
 pul=!(pul);
}
